Globals1D;
%%%%%%%%%%%%%%  construction variables %%%%%%%%%%%%%%%

E=zeros(P+1,N); F=zeros(P+1,N);
ELim=zeros(P+1,2); FLim=zeros(P+1,2);
S_E=zeros(P+1,N); S_F=zeros(P+1,N);
%%%%%%%%%%%%%% init variables %%%%%%%%%%%%%%%

[E, F]=init_datas_P1() ;
plot_ex=Plot_Exact_solution();

%%%%%%%%%%%%%% Init time stepping %%%%%%%%%%%%%%%%
 
%%%%%% calcul time step %%%%%%

dt=CFL_P1();

n_var = input('variable traced ');
normLp=zeros(nbvar,ceil(Tf/dt)+1);
n_step = 1;
t_vector=zeros(1,ceil(Tf/dt)+1);

%%%%%%% compute initial norm Lp and solution

normLp(1,n_step)= Norm_Lp(E,0,2,0);
normLp(2,n_step)= Norm_Lp(F,0,2,0);

m = trace_P1(0,E,F,plot_ex);
t_vector(n_step)=0;

%%%%%%%%%%%%%% Time stepping %%%%%%%%%%%%%%%%
[ELim, FLim]=BC_P1(E,F);
if(slope == 1)
    E=SlopelimitN(E,ELim);
    F=SlopelimitN(F,FLim);
end
t=0;
while t < Tf
        if(t+dt>Tf) dt=Tf-t; end

        ['time : ',num2str(t)] 
         
         [S_E, S_F]=Init_source_P1(E,F) ;
         [E, F] = RK_solving_P1(E,F,S_E,S_F,ELim,FLim,dt);
                         
         n_step=n_step+1;
         t=t+dt;
        
        %%%%%%%%%%%%% compute norm Lp
        
     
        normLp(1,n_step)= Norm_Lp(E,t,2,0);
        normLp(2,n_step)= Norm_Lp(F,t,2,0);
        

        m = trace_P1(t,E,F,plot_ex); 

        t_vector(n_step)=t;
        %%%%%%%%%% trace        
 
end

 %%%%%%%%%% Final trace and error
figure;
plot(t_vector,normLp(n_var,:),'bo-');
 if(plot_ex == 1)
    if (n_var ==1) disp('error L2'); disp(Norm_Lp(E,t,2,1)); end
    if (n_var ==1) disp('error L1'); disp(Norm_Lp(E,t,1,1)); end
    if (n_var ==2) disp('error L2'); disp(Norm_Lp(F,t,2,1)); end
    if (n_var ==2) disp('error L1'); disp(Norm_Lp(F,t,1,1)); end
 end 
 