function m = trace_Euler(t,r,u,E,plot_ex)
%UNTITLED22 Summary of this function goes here
%   Detailed explanation goes here
% extend for p>1
Globals1D;
 ParametersPhysic;
 
r_sol=zeros(P+1,N);
u_sol=zeros(P+1,N);
E_sol=zeros(P+1,N);

    [r_sol, u_sol, E_sol]=Solution_Euler(t);
    
    if(mod(P,2)==1 )
        subplot(1,3,1);
        plot(Nodes(1:N),r(1,:),'ro-',Nodes(1:N),r_sol(1,:),'b-');
        legend('approx r','exact r');
        subplot(1,3,2);
        plot(Nodes(1:N),u(1,:),'mo-',Nodes(1:N),u_sol(1,:),'k-');
        legend('approx u','exact u');
        subplot(1,3,3);
        plot(Nodes(1:N),E(1,:),'mo-',Nodes(1:N),E_sol(1,:),'k-');
        legend('approx E','exact E');
        pause(0.05)
    end
    
    if(mod(P,2)==0 )
          subplot(1,3,1);
        plot(Centers,r(floor(P/2)+1,:),'ro-',Centers,r_sol(floor(P/2)+1,:),'b-');
        legend('approx r','exact r');
        subplot(1,3,2);
        plot(Centers,u(floor(P/2)+1,:),'mo-',Centers,u_sol(floor(P/2)+1,:),'k-');
        legend('approx u','exact u');
        subplot(1,3,3);
        plot(Centers,E(floor(P/2)+1,:),'mo-',Centers,E_sol(floor(P/2)+1,:),'k-');
        legend('approx E','exact E');
        pause(0.05)
    end
    
    
    if( mod(P,2) == 1)
        subplot(1,3,1);
        if(plot_ex == 1)
            plot(Nodes(1:N),r(1,:),'ro-',Nodes(1:N),r_sol(1,:),'b-');
            legend('approx r','exact r');
        else
            plot(Nodes(1:N),r(1,:),'ro-');
            legend('approx r');   
        end   
        subplot(1,3,2);
        if(plot_ex == 1)
            plot(Nodes(1:N),u(1,:),'mo-',Nodes(1:N),u_sol(1,:),'k-');
            legend('approx u','exact u');
        else
            plot(Nodes(1:N),u(1,:),'mo-');
            legend('approx u');
        end 
        subplot(1,3,3);
        if(plot_ex == 1)
            plot(Nodes(1:N),E(1,:),'mo-',Nodes(1:N),E_sol(1,:),'k-');
            legend('approx E','exact E');
        else
            plot(Nodes(1:N),E(1,:),'mo-');
            legend('approx E');
        end
     pause(0.05)
     end
     
     if( mod(P,2) == 0)
     subplot(1,3,1);
     if(plot_ex == 1)
        plot(Centers,r(floor(P/2)+1,:),'ro-',Centers,r_sol(floor(P/2)+1,:),'k-');
        legend('approx r','exact r');
     else
        plot(Centers,r(floor(P/2)+1,:),'ro-');
        legend('approx r');  
     end    
     subplot(1,3,2);
     if(plot_ex == 1)
        plot(Centers,u(floor(P/2)+1,:),'mo-',Centers,u_sol(floor(P/2)+1,:),'k-');
        legend('approx u','exact u');
     else
        plot(Centers,u(floor(P/2)+1,:),'mo-');
        legend('approx u'); 
     end 
     subplot(1,3,3);
     if(plot_ex == 1)
        plot(Centers,E(floor(P/2)+1,:),'mo-',Centers,E_sol(floor(P/2)+1,:),'k-');
        legend('approx E','exact E');
     else
        plot(Centers,E(floor(P/2)+1,:),'mo-');
        legend('approx E'); 
     end 
     
     pause(0.05)
     end

m=1;
end

