function dt = CFL_Euler(r, u, E)
%UNTITLED14 Summary of this function goes here
%   Detailed explanation goes here
  Globals1D;
   ParametersPhysic;
 
 
 S=Rusanov_speed_Euler(r,u,E);
  
 dx_min=min(D_x(1,:));
 dt = CFL * (dx_min/((2*P+1)*S)); % modif

end

function R_s = Rusanov_speed_Euler(r,u,E)
%UNTITLED17 Summary of this function goes here
%   Detailed explanation goes here
 Globals1D;
  ParametersPhysic;
 
 R_s=0;
 R_temp=zeros(1,N);
 c=zeros(P+1,N);
 u_c=zeros(P+1,N);
 
 c = Sound_velocity(r,u,E);
 
 u_c(:,:)=abs(u(:,:))+c(:,:);
 
 for j = 1 : 1 : N 
    R_temp(j)=max(u_c(:,j));
 end 
 R_s=max(R_temp(:)); %verifier si on prend aussi au degres de liberte
end 

function c = Sound_velocity(r,u,E)
%UNTITLED17 Summary of this function goes here
%   Detailed explanation goes here
 Globals1D;
 ParametersPhysic;
  
  
 c=zeros(P+1,N);
 c(:,:)=gammaEuler*(gammaEuler-1)*(E(:,:)-0.5*r(:,:).*u(:,:).*u(:,:));
 
 c(:,:)=sqrt(c(:,:)./r(:,:));
end 
